Bug 1302808 - vim wrong indentation for array of maps
vim wrong indentation for array of maps
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 11:41 EST by Aleksandar Kostadinov
Modified: 2016-12-20 13:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:16:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksandar Kostadinov 2016-01-28 11:41:37 EST
Description of problem:
I'm often dealing with YAML files. Unfortunately there is a rather annoying bug with auto indentation when doing an array of maps. This is a very common use case btw when writing ansible playbooks.

For example a file like (test.yaml):
---
- key11: val11
  key12: val12
- key21: val21
  key22: val22

If you try to type that you would see that while typing "key12:" and "key22", they will get indent decreased like:
---
- key11: val11
key12: val12
- key21: val21
key22: val22

And this is incorrect as far as I can tell. But I couldn't find how to alter that behavior. I'm not at all a vim expert and poked with vim-yaml pathogen bundle and /usr/share/vim/vim74/*/yaml.vim to no avail. So Any help appreciated.


Version-Release number of selected component (if applicable):
vim-common-7.4.827-1.fc22.x86_64

How reproducible:
always
Comment 1 Aleksandar Kostadinov 2016-01-28 12:52:34 EST
Found this one:
https://github.com/chase/vim-ansible-yaml

It makes indentation work fine when file is detected as ansible. I still think though we better also fix existing YAML syntax files.

Also It makes sense to include (and possibly maintain?) the above goody for working with ansible playbooks.
Comment 2 Aleksandar Kostadinov 2016-01-29 04:50:29 EST
in fact `vim-ansible-yaml` is broken in different ways.. so fixing original syntax file will greatly help
Comment 3 Karsten Hopp 2016-04-29 05:38:00 EDT
I'll take a look.
Comment 4 Fedora End Of Life 2016-11-24 10:14:59 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 13:16:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.